DynamicJava Javadoc: Class MethodCall

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class MethodCall

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.PrimaryExpression
                        |
                        +--koala.dynamicjava.tree.MethodCall

All Implemented Interfaces:
  ExpressionStatement

Direct Known Subclasses:
  FunctionCall, ObjectMethodCall, StaticMethodCall, SuperMethodCall

public abstract class MethodCall
extends PrimaryExpression
implements ExpressionStatement

This class represents the method call nodes of the syntax tree

Field Summary
`static java.lang.String` | `ARGUMENTS` The arguments property name
`static java.lang.String` | `METHOD_NAME` The methodName property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`protected` | `MethodCall(java.lang.String mn, java.util.List args, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new node

Method Summary
`java.util.List` | `getArguments()` Returns the arguments.
`java.lang.String` | `getMethodName()` Returns the method name
`void` | `setArguments(java.util.List l)` Sets the constructor arguments.
`void` | `setMethodName(java.lang.String s)` Sets the method name

Methods inherited from class koala.dynamicjava.tree.Node
`acceptVisitor, addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METHOD_NAME

    public static final java.lang.String METHOD_NAME

  The methodName property name

### ARGUMENTS

    public static final java.lang.String ARGUMENTS

  The arguments property name

Constructor Detail

### MethodCall

    protected MethodCall(java.lang.String mn,
                         java.util.List args,
                         java.lang.String fn,
                         int bl,
                         int bc,
                         int el,
                         int ec)

  Creates a new node
  Parameters:
    `mn` - the field name
    `args` - the arguments. null if no arguments.
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if mn is null

Method Detail

### getMethodName

    public java.lang.String getMethodName()

  Returns the method name

### setMethodName

    public void setMethodName(java.lang.String s)

  Sets the method name
  Throws:
    `java.lang.IllegalArgumentException` - if s is null

### getArguments

    public java.util.List getArguments()

  Returns the arguments.
  Returns:
    null if there is no argument

### setArguments

    public void setArguments(java.util.List l)

  Sets the constructor arguments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.